from geometry_msgs.msg import Point, Pose
from trajectory_msgs.msg import JointTrajectory, JointTrajectoryPoint
from builtin_interfaces.msg import Duration
import rclpy
from rclpy.node import Node

from hexapod_python.ik_publisher_node import IKPublisherNode
from hexapod_python.ik import ik, interpolate_pose, standing_pose, shutdown_pose

import time


class IKTestNode(IKPublisherNode):
    def __init__(self):
            super().__init__('ik_test')
            ik_values = [ ik(pose) for pose in interpolate_pose(shutdown_pose, standing_pose, 150) + interpolate_pose(standing_pose, shutdown_pose, 150)]
            self.publish_ik_values(ik_values)
            raise SystemExit

def main(args = None):
    rclpy.init(args=args)

    ik_publisher = IKTestNode()
    rclpy.spin_once(ik_publisher)
    ik_publisher.destroy_node()
    rclpy.shutdown()
    